Bug 1464846 - [abrt] remmina: transport_ssl_cb(): remmina killed by signal 11
[abrt] remmina: transport_ssl_cb(): remmina killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:69c1eb02a7754ec0a98f99bc0fc...
:
: 1477521 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 00:49 EDT by Mikhail
Modified: 2017-08-02 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: remmina-1.2.0-0.37.20170622git7e82138.fc25 remmina-1.2.0-0.37.20170622git7e82138.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 22:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.05 KB, text/plain)
2017-06-26 00:49 EDT, Mikhail
no flags Details
File: cgroup (227 bytes, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: core_backtrace (39.33 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: dso_list (13.05 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: environ (3.49 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: maps (64.12 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: open_fds (3.40 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details
File: var_log_messages (311 bytes, text/plain)
2017-06-26 00:50 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-06-26 00:49:55 EDT
Description of problem:
$ remmina 
StatusNotifier/Appindicator support: not supported by desktop. libappindicator will try to fallback to GtkStatusIcon/xembed

(remmina:2619): Gtk-WARNING **: gtk_menu_attach_to_widget(): menu already attached to GtkMenuItem

(remmina:2619): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[02:26:30:817] [2619:32646] [INFO][com.freerdp.client.common.cmdline] - loading channelEx cliprdr
[02:26:32:719] [2619:32646] [ERROR][com.winpr.timezone] - Unable to get current timezone rule
[02:26:33:257] [2619:32646] [INFO][com.freerdp.gdi] - Local framebuffer format  PIXEL_FORMAT_BGRA32
[02:26:33:257] [2619:32646] [INFO][com.freerdp.gdi] - Remote framebuffer format PIXEL_FORMAT_BGRA32

(remmina:2619): Gtk-WARNING **: Theme parsing error: <data>:16:28: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:2619): Gtk-WARNING **: Theme parsing error: <data>:17:31: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:2619): Gtk-WARNING **: Theme parsing error: <data>:22:28: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:2619): Gtk-WARNING **: Theme parsing error: <data>:23:31: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:2619): Gtk-WARNING **: Allocating size to remmina-cw-viewport 0x55bd503c5240 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
[09:39:17:863] [2619:32646] [ERROR][com.freerdp.core.transport] - BIO_read returned a system error 104: Connection reset by peer
[09:39:17:863] [2619:32646] [ERROR][com.freerdp.core] - freerdp_check_fds() failed - 0
[09:39:19:247] [2619:32646] [ERROR][com.winpr.timezone] - Unable to get current timezone rule
[09:39:26:398] [2619:32646] [ERROR][com.freerdp.core.transport] - BIO_read returned a system error 104: Connection reset by peer
[09:39:26:398] [2619:32646] [ERROR][com.freerdp.core] - freerdp_set_last_error ERRCONNECT_CONNECT_TRANSPORT_FAILED [0x0002000D]
Segmentation fault (core dumped)

Version-Release number of selected component:
remmina-1.2.0-0.35.20170510git41c8de6.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        remmina
crash_function: transport_ssl_cb
executable:     /usr/bin/remmina
journald_cursor: s=97021a311f714daa94ed1616d76b788e;i=1d554;b=61730322f10b4b13ba0dd54e377f3154;m=eaaf66ab6;t=552d58966274e;x=9dbb964777f51101
kernel:         4.11.6-301.fc26.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 transport_ssl_cb at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/libfreerdp/core/transport.c:179
 #1 ssl3_read_bytes at ssl/record/rec_layer_s3.c:1359
 #2 ssl3_read_internal at ssl/s3_lib.c:3833
 #3 SSL_read at ssl/ssl_lib.c:1552
 #4 bio_rdp_tls_read at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/libfreerdp/crypto/tls.c:151
 #5 BIO_read at crypto/bio/bio_lib.c:197
 #6 transport_read_layer at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/libfreerdp/core/transport.c:561
 #8 transport_read_layer_bytes at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/libfreerdp/core/transport.c:621
 #9 transport_read_pdu at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/libfreerdp/core/transport.c:664
 #10 transport_check_fds at /usr/src/debug/FreeRDP-b1df835085280bba1be7ba700277db60de587007/libfreerdp/core/transport.c:1011
Comment 1 Mikhail 2017-06-26 00:49:59 EDT
Created attachment 1291835 [details]
File: backtrace
Comment 2 Mikhail 2017-06-26 00:50:01 EDT
Created attachment 1291836 [details]
File: cgroup
Comment 3 Mikhail 2017-06-26 00:50:03 EDT
Created attachment 1291837 [details]
File: core_backtrace
Comment 4 Mikhail 2017-06-26 00:50:05 EDT
Created attachment 1291838 [details]
File: cpuinfo
Comment 5 Mikhail 2017-06-26 00:50:07 EDT
Created attachment 1291839 [details]
File: dso_list
Comment 6 Mikhail 2017-06-26 00:50:09 EDT
Created attachment 1291840 [details]
File: environ
Comment 7 Mikhail 2017-06-26 00:50:10 EDT
Created attachment 1291841 [details]
File: exploitable
Comment 8 Mikhail 2017-06-26 00:50:12 EDT
Created attachment 1291842 [details]
File: limits
Comment 9 Mikhail 2017-06-26 00:50:14 EDT
Created attachment 1291843 [details]
File: maps
Comment 10 Mikhail 2017-06-26 00:50:16 EDT
Created attachment 1291844 [details]
File: open_fds
Comment 11 Mikhail 2017-06-26 00:50:17 EDT
Created attachment 1291845 [details]
File: proc_pid_status
Comment 12 Mikhail 2017-06-26 00:50:19 EDT
Created attachment 1291846 [details]
File: var_log_messages
Comment 13 Fedora Update System 2017-06-26 07:44:06 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc25 freerdp-2.0.0-28.20170623git9904c32.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 14 Fedora Update System 2017-06-26 07:44:49 EDT
remmina-1.2.0-0.37.20170622git7e82138.fc26 freerdp-2.0.0-28.20170623git9904c32.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 15 Fedora Update System 2017-06-26 23:23:29 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-223a6c0fe3
Comment 16 Fedora Update System 2017-06-27 02:25:08 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-294ac891a3
Comment 17 Fedora Update System 2017-07-05 22:22:00 EDT
freerdp-2.0.0-28.20170623git9904c32.fc25, remmina-1.2.0-0.37.20170622git7e82138.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2017-07-07 18:59:08 EDT
freerdp-2.0.0-28.20170623git9904c32.fc26, remmina-1.2.0-0.37.20170622git7e82138.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Andrey 2017-08-02 06:20:49 EDT
*** Bug 1477521 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.